WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: WP-cufon] gives error 'wp_cufon_delay' (5 posts)

  1. solikesimon
    Member
    Posted 4 years ago #

    The full warning given is:

    'Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'wp_cufon_delay' was given in F:\wp-includes\plugin.php on line 339'

    I've followed the instructions, everything seems right but I get this error even on 2 different WP instances (both version 2.9.2).

    Anyone seen this before and know how to fix it?

  2. camilin119
    Member
    Posted 4 years ago #

    i have the same problem under WP 3.0 i have no clue why this is happening.

  3. camilin119
    Member
    Posted 4 years ago #

  4. isocky
    Member
    Posted 3 years ago #

    I don't know what is causing the bug, but I can tell you that an earlier version of the plugin did not have it. I happened to have a copy from a site I built a few months ago and when I replaced the newer version of the plugin with the old one, the bug disappeared. I will compare versions when I get a chance to find the culprit.

    In the mean time, all-in-one cufon seems to work just as well. The only reason I don't want to use it is because I can't get it to not show up under "settings" when someone is logged in as an author and not an admin.

    I am using WP version 9.92, theme contempt_V2. This is my first post, so I don't know if you can email me or not, but if you can, I will happily supply you with the older version.

  5. jdhobbs
    Member
    Posted 3 years ago #

    I've been using Cufon for a good few months on non-WP sites, figured I'd use a plug-in for it when it came to Cufon on WP.

    I can confirm that the bug is in 1.6.5, but not in 1.6.4. The bug appears due to an error in the new functionality, it's the bit in the update description "...and now you can set the positions where the plugin loads in your template".

    I've narrowed it down to the new functionality that allows you to choose where the delay thing outputs...you can choose header or footer and you can therefore bounce your error between the two (so it is definitely this part).

    For now I'd suggest dropping back to 1.6.4, as the error doesn't occur here.

Topic Closed

This topic has been closed to new replies.

About this Topic